## dnsproxy 1.17%2Bgit20211129.22329c4

=== debian/control ===
Source: dnsproxy
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marcos Talau <talau@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 groff-base,
 libevent-dev,
Standards-Version: 4.6.2
Homepage: https://wolfermann.org/dnsproxy.html
Vcs-Git: https://salsa.debian.org/debian/dnsproxy.git
Vcs-Browser: https://salsa.debian.org/debian/dnsproxy
Rules-Requires-Root: no

Package: dnsproxy
Architecture: any
Depends:
 adduser,
 passwd,
 sysvinit-utils (>= 3.07-1),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: proxy for DNS queries
 dnsproxy forwards DNS queries to two previously configured nameservers:
 one for authoritative queries and another for recursive queries.
 The received answers are sent back to the client unchanged.
 No local caching is done.
 .
 Primary motivation for this project was the need to replace Bind servers with
 djbdns in an ISP environment. These servers get recursive queries from
 customers and authoritative queries from outside at the same IP address.
 Now it is possible to run dnscache and tinydns on the same machine with
 queries dispatched by dnsproxy.
 .
 Another possible scenario is a firewall where proxy queries should be
 forwarded to the real server in a DMZ.
