## dnsproxy 1.17+git20211129.22329c4

=== debian/changelog ===
dnsproxy (1.17+git20211129.22329c4-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:45:20 +1100

dnsproxy (1.17+git20211129.22329c4-6build1) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:20:28 +0100

dnsproxy (1.17+git20211129.22329c4-6) unstable; urgency=medium

  [Debian Janitor]
  * Use secure URI in Homepage field.

  [Marcos Talau]
  * debian/control:
    - Bump Standards-Version to "4.6.2".
    - Replace lsb-base to sysvinit-utils in Depends.
  * debian/copyright: Update packaging copyright years.
  * debian/patches/01_fix_listen_udp_port.patch: Add Forwarded.

 -- Marcos Talau <talau@debian.org>  Wed, 06 Sep 2023 21:34:11 +0530

dnsproxy (1.17+git20211129.22329c4-5) unstable; urgency=medium

  * Update Maintainer mail.

 -- Marcos Talau <talau@debian.org>  Thu, 08 Sep 2022 13:57:34 -0300

dnsproxy (1.17+git20211129.22329c4-4) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.6.1, no changes.

 -- Marcos Talau <marcos@talau.info>  Thu, 09 Jun 2022 11:04:00 -0300

dnsproxy (1.17+git20211129.22329c4-3) unstable; urgency=medium

  * Upload to unstable.
  * debian/copyright: Update year of packaging.
  * debian/patches/02_update_configure_ac.patch: Add Forwarded field.
  * debian/patches/03_fix_daemon_chdir.patch: Add Applied-Upstream field.

 -- Marcos Talau <marcos@talau.info>  Thu, 31 Mar 2022 17:29:55 -0300

dnsproxy (1.17+git20211129.22329c4-2) experimental; urgency=medium

  * debian/copyright: Change packaging license from GPL-2+ to
    Public-Domain (Closes: #1000238).
  * debian/patches/02_update_configure_ac.patch: New. Remove obsolete
    autoconf macros.
  * debian/patches/03_fix_daemon_chdir.patch: New. Fix the use of chdir
    in daemon.c
  * debian/rules: Add DH_VERBOSE.

 -- Marcos Talau <marcos@talau.info>  Fri, 10 Dec 2021 22:38:10 -0300

dnsproxy (1.17+git20211129.22329c4-1) unstable; urgency=medium

  * New upstream version 1.17+git20211129.22329c4.
  * debian/manpages: Rename dnsproxy.1 to dnsproxy.8.
  * debian/patches/:
    - 01_fix_missing_prototypes.patch: Remove, upstream are using it.
    - 02_fix_compile_warnings.patch: Remove, upstream fixed the source code.
    - 03_fix_listen_udp_port.patch:
      - Rename to 01_fix_listen_udp_port.patch.
      - Update to compile on this upstream version.

 -- Marcos Talau <marcos@talau.info>  Fri, 03 Dec 2021 22:40:32 -0300

dnsproxy (1.17-3) unstable; urgency=medium

  * debian/dnsproxy.conf: Add two new configuration variables, listen_answer
    and port_answer (Closes: #1000597).
  * debian/NEWS: New. Informs the user about the two new configuration
    variables.
  * debian/patches/03_fix_listen_udp_port.patch: Completely rewritten. Now
    this patch creates two new configuration variables to fix the issue
    related to bugs #1000159 and #1000597 (Closes: #1000597).
  * debian/tests/control: add Restrictions allow-stderr and skippable to test
    `validation'.
  * debian/tests/validation: add tests (of type skippable) on bind9 before run
    the core tests.

 -- Marcos Talau <marcos@talau.info>  Tue, 30 Nov 2021 23:43:10 -0300

dnsproxy (1.17-2) unstable; urgency=medium

  * New maintainer (Closes: #876201).
  * debian/control:
    - Add passwd to Depends.
    - Add Rules-Requires-Root field.
    - Update Maintainer.
  * debian/copyright: Update to 1.0 Machine-readable format.
  * debian/default: Completely rewritten.
  * debian/dnsproxy.conf:
    - Some clean ups.
    - Use localhost has default bind address. Thanks to
      Marco d'Itri (Closes: #802918).
  * debian/dnsproxy.dirs: Rename to dirs.
  * debian/dnsproxy.init:
    - Completely rewritten (Closes: #487952).
    - Rename to init.
  * debian/dnsproxy.install: Rename to install.
  * debian/dnsproxy.manpages: Rename to manpages.
  * debian/patches/:
    - 01_fix_missing_prototypes.patch: Add DEP-3 headers.
    - 02_fix_wrong_use_of_hyphens_in_manpage.patch: Remove. No longer need.
    - 02_fix_compile_warnings.patch: New. Fix compile warnings due missing
      _GNU_SOURCE #defines.
    - 03_fix_listen_udp_port.patch: New. Fix UDP port listening on all
      interfaces (Closes: #1000159).
  * debian/postinst: Update adduser command.
  * debian/postrm: New file. Create to remove dnsproxy user from system.
  * debian/README.Debian: Remove. Information no longer need.
  * debian/README.source: Create. Explains the need of dnsproxy user.
  * debian/rules: Some clean ups.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/service: New systemd service file.
  * debian/tests/*: Create autopkgtest.
  * debian/TODO: Remove. Not use anymore.
  * debian/upstream/metadata: Add upstream metadata information.
  * debian/watch: Update the search rule and the version to 4.

 -- Marcos Talau <marcos@talau.info>  Wed, 24 Nov 2021 18:37:38 -0300

dnsproxy (1.17-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Oct 2021 18:57:41 -0400

dnsproxy (1.16-1) unstable; urgency=high

  * QA upload.
  * Refresh packaging:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.
  * debian/control:
    + Add Vcs-* fields.
    + Set maintainer to Debian QA Group.
    + Add Pre-Depends: ${misc:Pre-Depends}.
  * debian/source/format: Convert to "3.0 (quilt)" format.
  * debian/init.d: Rename to debian/dnsproxy.init.
  * debian/rules: Convert to use dh13 syntax.
    + Disable dh_auto_install since upstream install target is broken.
    + Do not enable the service by default.
    + Do not start the service on installation or upgrade. This
      partially mitigates #802918.
  * debian/postinst: Use --home nonexistent option for adduser (lintian).

 -- Boyuan Yang <byang@debian.org>  Thu, 07 Oct 2021 22:05:53 -0400

dnsproxy (1.16-0.1) unstable; urgency=low

  * Non-maintainer upload.

