=== debian/tests/control ===
Test-Command: dnsproxy -h 2>&1 | grep "^usage: dnsproxy"
Restrictions: allow-stderr, needs-root, superficial

Tests: validation
Depends: bind9, dnsproxy, dnsutils
Restrictions: allow-stderr, isolation-container, needs-root, skippable
